ServerType.ClientSubscription (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.cache.configuration, class: ServerType, class: ClientSubscription

Package org.apache.geode.cache.configuration

# Class ServerType.ClientSubscription

java.lang.Object
org.apache.geode.cache.configuration.ServerType.ClientSubscription

Enclosing class:
  ServerType

public static class ServerType.ClientSubscription extends Object

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <attribute name="eviction-policy" use="required">
             <simpleType>
               <restriction base="{http://www.w3.org/2001/XMLSchema}string">
                 <enumeration value="entry"/>
                 <enumeration value="mem"/>
               </restriction>
             </simpleType>
           </attribute>
           <attribute name="capacity" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="disk-store-name" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="overflow-directory" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `capacity`
  `protected String`
  `diskStoreName`
  `protected String`
  `evictionPolicy`
  `protected String`
  `overflowDirectory`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClientSubscription()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCapacity()`
  Gets the value of the capacity property.
  `String`
  `getDiskStoreName()`
  Gets the value of the diskStoreName property.
  `String`
  `getEvictionPolicy()`
  Gets the value of the evictionPolicy property.
  `String`
  `getOverflowDirectory()`
  Gets the value of the overflowDirectory property.
  `void`
  `setCapacity(String value)`
  Sets the value of the capacity property.
  `void`
  `setDiskStoreName(String value)`
  Sets the value of the diskStoreName property.
  `void`
  `setEvictionPolicy(String value)`
  Sets the value of the evictionPolicy property.
  `void`
  `setOverflowDirectory(String value)`
  Sets the value of the overflowDirectory property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### evictionPolicy

    protected String evictionPolicy

  - ### capacity

    protected String capacity

  - ### diskStoreName

    protected String diskStoreName

  - ### overflowDirectory

    protected String overflowDirectory

- ## Constructor Details

  - ### ClientSubscription

    public ClientSubscription()

- ## Method Details

  - ### getEvictionPolicy

    public String getEvictionPolicy()
    Gets the value of the evictionPolicy property. possible object is `String`
    Returns:
      the value of the evictionPolicy property

  - ### setEvictionPolicy

    public void setEvictionPolicy(String value)
    Sets the value of the evictionPolicy property. allowed object is `String`
    Parameters:
      `value` - the value of the evictionPolicy property

  - ### getCapacity

    public String getCapacity()
    Gets the value of the capacity property. possible object is `String`
    Returns:
      the value of the capacity property

  - ### setCapacity

    public void setCapacity(String value)
    Sets the value of the capacity property. allowed object is `String`
    Parameters:
      `value` - the value of the capacity property

  - ### getDiskStoreName

    public String getDiskStoreName()
    Gets the value of the diskStoreName property. possible object is `String`
    Returns:
      the value of the diskStoreName property

  - ### setDiskStoreName

    public void setDiskStoreName(String value)
    Sets the value of the diskStoreName property. allowed object is `String`
    Parameters:
      `value` - the value of the diskStoreName property

  - ### getOverflowDirectory

    public String getOverflowDirectory()
    Gets the value of the overflowDirectory property. possible object is `String`
    Returns:
      the value of the overflowDirectory property

  - ### setOverflowDirectory

    public void setOverflowDirectory(String value)
    Sets the value of the overflowDirectory property. allowed object is `String`
    Parameters:
      `value` - the value of the overflowDirectory property